Skip to content
The API may change between versions while TTX-Zone is 0.x.

Add evaluator

POST
/api/v1/ttx/{ttx_id}/evaluators

Assign a person to the exercise in this role.

Media typeapplication/json
EvaluatorGrantRequest
object
email
required
Email
string format: email

Example generated

{
"email": "hello@example.com"
}

Successful Response

Media typeapplication/json
EvaluatorRead
object
added_at
required
Added At
string format: date-time
email
required
Email
string
full_name
required
Full Name
string
last_login_at
Any of:
string format: date-time
leads
Leads
boolean
user_id
required
User Id
string format: uuid

Example

{
"leads": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}